### R code from vignette source 'blm_knit.Rnw'

###################################################
### code chunk number 1: blm_knit.Rnw:68-75
###################################################
library(blm)

data(ccdata)

names(ccdata)

table(ccdata$y)


###################################################
### code chunk number 2: blm_knit.Rnw:84-91
###################################################
fit <- blm(y~female+packyear, data = ccdata,
             weight = ccdata$w, 
             strata = ccdata$strata)

fit

summary(fit)


###################################################
### code chunk number 3: blm_knit.Rnw:98-101
###################################################
coef(fit)

vcov(fit)


###################################################
### code chunk number 4: blm_knit.Rnw:107-109
###################################################
confint(fit)
confint(fit, parm="female")


###################################################
### code chunk number 5: blm_knit.Rnw:115-116
###################################################
fit@barrier.value


###################################################
### code chunk number 6: blm_knit.Rnw:122-124
###################################################
which.at.boundary(fit)
which.at.boundary(fit, criter = 1e-3)


###################################################
### code chunk number 7: blm_knit.Rnw:132-133
###################################################
Rsquared(fit)


###################################################
### code chunk number 8: blm_knit.Rnw:138-140
###################################################
EO(fit)
EO(fit, ccdata$female)


###################################################
### code chunk number 9: blm_knit.Rnw:145-146
###################################################
gof.pearson(fit)


###################################################
### code chunk number 10: blm_knit.Rnw:158-165
###################################################
fit <- blm(y~female, data = ccdata,
             weight = ccdata$w, 
             strata = ccdata$strata)

r <- excess.risk(fit, group=ccdata$packyear)

round(r, 3)


###################################################
### code chunk number 11: excess (eval = FALSE)
###################################################
## plot(y = r, x = as.numeric(names(r)),
##      ylab = "Binned excess risk",
##      xlab = "packyears", las = 1,
##      type = "b")


###################################################
### code chunk number 12: blm_knit.Rnw:212-218
###################################################
fit.lexpit <- lexpit(y~female, y~packyear, 
                     data = ccdata,
                     weight = ccdata$w, 
                     strata = ccdata$strata)

summary(fit.lexpit)


###################################################
### code chunk number 13: blm_knit.Rnw:224-227
###################################################
which.at.boundary(fit.lexpit)
confint(fit.lexpit)
gof.pearson(fit.lexpit)


